---
title: Activate a card
slug: tutorials/api/cards/activate-a-card
description: Activate a debit card with APIs using the card ID
docTags: 
createdAt: 2024-08-12T07:29:23.021Z
---

## What you will learn

✅ How to activate a debit card using the card ID

:::hint{type="info"}
If you are new to card issuing we recommend you read the [Cards](docId\:xJUtOOcHA5khMt9uzyS18) concept pages before starting this tutorial.

The tutorial assumes you have a knowledge of APIs and how they work. For more information on sending API calls, see [API basics](docId\:pUTTCwQ5SKLzxYzIn5D1b).
:::

The tutorial uses this API endpoint:

| API                                                                               | Description                          |
| --------------------------------------------------------------------------------- | ------------------------------------ |
| [POST /cardmanagement/v1/cards/&#x7B;id}/activate](docId\:E_U42earZiwDZOiIXuunI)  | Activates the card using the card ID |

## Before you begin

Make sure you have:

- [API credentials](docId\:wmg-1Fqwq3bj-D3c3HFfs)&#x20;
- Card ID from when you [created the card](docId\:RZZRD7am62-KTyv9G1n9-)
- [Registered](docId\:BN5XtgkJogBe-CtwomCbS) the following webhook event:

| Webhook                | Description          |
| ---------------------- | -------------------- |
| `Cards.Card.Activated` | Debit card activated |

## Activate the card

Activate the card you created in the [create a card](docId\:RZZRD7am62-KTyv9G1n9-) tutorial.

:::::WorkflowBlock
::::WorkflowBlockItem
Call `POST /cardmanagement/v1/cards/{id}/activate`. Set the `id` attribute to the card ID. In the sample below the ID is **8c6a53e0-83ad-4b76-b446-b300006a3e6a**.&#x20;

:::CodeblockTabs
Sample activate card request

```curl
curl --location --globoff --request POST 'https://sandbox.crbcos.com/cardmanagement/v1/cards/{id}/activate?id=8c6a53e0-83ad-4b76-b446-b300006a3e6a' \
--header 'Idempotency-key: a5b1b129-421e-441b-9661-ec1c0396965e' \
--data ''
```
:::
::::

::::WorkflowBlockItem
A successful API call returns a JSON response with the details of the card. The card `status` is now **Active**. The `OrderStatus` is **Completed**.

:::CodeblockTabs
Sample activate card response

```json
{
    "id": "8c6a53e0-83ad-4b76-b446-b300006a3e6a",
    "productId": "57146944-b145-4326-884d-b2f700ecf688",
    "partnerId": "19222b81-0e1e-452d-a842-b2f1011c16f3",
    "processorCardId": "827277613081398",
    "accountNumber": "158560897007",
    "status": "Active",
    "statusReasonCode": "NotSet",
    "processorCardStatus": "B",
    "firstName": "Daly",
    "lastName": "Khol",
    "shippingAddress": {
        "street1": "1 Roshar Ave",
        "city": "Roshar",
        "state": "NY",
        "postalCode": "10001",
        "countryCode": "US"
    },
    "billingAddress": {
        "street1": "1 Roshar Ave",
        "city": "Roshar",
        "state": "NY",
        "postalCode": "10001",
        "countryCode": "US"
    },
    "phone": {
        "phoneType": "Home",
        "phoneNumber": "7185551234"
    },
    "emailAddress": "dkhol@gmail.com",
    "nameOnCard": "Daly Khol",
    "panLastFour": "4558",
    "isPinSet": false,
    "expirationDate": "2028-06-18",
    "adminBlocked": false,
    "fraudSuspect": false,
    "configurationId": "b2251a28-c218-4e2e-a787-b2f700ef0ecd",
    "category": "Debit",
    "paymentInstrument": "PhysicalCombo",
    "processor": "P1",
    "shippingType": "Normal",
    "orderStatus": "Completed",
    "replacementStatus": "NotApplicable",
    "customerId": "e2599a17-d1e2-476c-9672-b2ff008fa575",
    "clientIdentifier": "b06ab5cc-553a-4fe4-ad78-751b5ff81f00",
    "processorCustomerId": "0CIF7L2973U98WT4E652",
    "createdAt": "2025-06-18T02:26:49.617-04:00",
    "initialActivation": "2025-06-18T00:00:00-04:00",
    "activatedAt": "2025-06-18T02:27:58.8133927-04:00",
    "lastModifiedAt": "2025-06-18T02:27:58.8133927-04:00"
}
```
:::
::::

::::WorkflowBlockItem
When the card status changes to `Active`, the `Cards.Card.Activated` webhook event fires.

:::CodeblockTabs
Cards.Card.Activated webhook event

```json
{
  "id": "95ac33ca-3d7f-49aa-bfc2-afce01113310",
  "eventName": "Cards.Card.Activated",
  "status": "Pending",
  "partnerId": "19222b81-0e1e-452d-a842-b2f1011c16f3",
  "createdAt": "2023-02-13T04:44:31.282287-05:00",
  "resources": [
    "cardmanagement/v1/cards/8c6a53e0-83ad-4b76-b446-b300006a3e6a"
  ],
  "details": [
    {
      "cardId": "8c6a53e0-83ad-4b76-b446-b300006a3e6a",
      "status": "Active",
      "statusReasonCode": "NotSet"
    }
  ]
}            
```
:::
::::
:::::

